Package ru.bitel.bgbilling.modules.cerbercrypt.common.service

# Interface ChannelService

public interface ChannelService
Каналы в админке.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Channel>`
  `channelList()`
  Список всех каналов.
  `List<ChannelMapping>`
  `channelMappingTable(int channelId)`
  Список маппиннгов.
  `void`
  `deleteChannel(int id)`
  Удаление канала.
  `void`
  `deleteChannelMapping(int mappingId)`
  Удаление маппинга.
  `Channel`
  `getChannel(int id)`
  Получение канала.
  `ChannelMapping`
  `getChannelMapping(int mappingId)`
  Получение маппинга.
  `List<IdTitle>`
  `getServers()`
  Получение списков серверов.
  `int`
  `updateChannel(Channel channel)`
  Редактирование канала.
  `void`
  `updateChannelMapping(ChannelMapping mapping)`
  Обновление маппинга.

- ## Method Details

  - ### channelList

    List<Channel> channelList() throws Exception
    Список всех каналов. Модуль церберкрипт -> каналы.
    Returns:
      список.
    Throws:
      `Exception`

  - ### deleteChannel

    void deleteChannel(int id) throws Exception
    Удаление канала. Модуль церберкрипт -> каналы.
    Parameters:
      `id` - ид канала.
    Throws:
      `Exception`

  - ### updateChannel

    int updateChannel(Channel channel) throws Exception
    Редактирование канала. Модуль церберкрипт -> каналы.
    Parameters:
      `channel` - канал.
    Returns:
      новый id если добавилось (или тот же если редактировалось)
    Throws:
      `Exception`

  - ### getChannel

    Channel getChannel(int id) throws Exception
    Получение канала. Модуль церберкрипт -> каналы.
    Parameters:
      `id` - ид канала.
    Throws:
      `Exception`

  - ### getServers

    List<IdTitle> getServers() throws Exception
    Получение списков серверов. Модуль церберкрипт -> каналы.
    Throws:
      `Exception`

  - ### channelMappingTable

    List<ChannelMapping> channelMappingTable(int channelId) throws Exception
    Список маппиннгов. Модуль церберкрипт -> каналы.
    Parameters:
      `channelId` - ид канала.
    Returns:
      список маппингов.
    Throws:
      `Exception`

  - ### getChannelMapping

    ChannelMapping getChannelMapping(int mappingId) throws Exception
    Получение маппинга. Модуль церберкрипт -> каналы. Редактор логического канала.
    Parameters:
      `mappingId` -
    Returns:
      маппинг.

  - ### updateChannelMapping

    void updateChannelMapping(ChannelMapping mapping) throws Exception
    Обновление маппинга. Модуль церберкрипт -> каналы. Редактор логического канала.
    Parameters:
      `mapping` - маппинг.

  - ### deleteChannelMapping

    void deleteChannelMapping(int mappingId) throws Exception
    Удаление маппинга. Модуль церберкрипт -> каналы.
    Parameters:
      `mappingId` -